{ config, pkgs, ... }:

{
  imports = [
    ./hardware-configuration.nix

    # Import Modules
    ./modules/boot.nix
    ./modules/networking.nix
    ./modules/locale.nix
    ./modules/hyprland.nix
    ./modules/stylix.nix
    ./modules/audio.nix
    ./modules/users.nix
    ./modules/packages.nix
    ./modules/hardware.nix
    ./modules/services.nix
    ./modules/aliases.nix
    ./modules/assets.nix
  ];

  nix.settings.experimental-features = [ "nix-command" "flakes" ];
  # xdg.portal.config.common.default = [ "gnome" ];

  system.stateVersion = "25.11";
}
